@import 'css/variables';

.contentContainer {
  display: flex;
  flex-direction: column;
  row-gap: 1rem;
}

.cancelButton,
.editButton {
  flex: 1;
  height: 2.25rem;
  display: flex;
  column-gap: 0.375rem;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: 0.875rem;
}

.editButton {
  grid-area: editButton;
}

.cancelButton {
  grid-area: cancelButton;
}

.title {
  color: $coa-primary;
  text-align: center;
  font-size: 1.5rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: -0.5px;
}

.subtitle {
  color: $coa-grey-100;
  text-align: center;
  font-size: 1rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.list {
  display: grid;
  grid-template-areas:
    'editDescription divider cancelDescription'
    'editButton divider cancelButton';
  grid-template-columns: 1fr auto 1fr;
  grid-template-rows: auto auto;
  row-gap: 0.9375rem;

  &__edit {
    grid-area: editDescription;
  }

  &__cancel {
    grid-area: cancelDescription;
  }

  &__divider {
    grid-area: divider;
    margin-inline: 1rem;
    height: 100%;
  }
}

.listItem {
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;
  color: $coa-grey-100;

  &.--bold {
    display: block;
    margin-bottom: 0.1rem;
    font-weight: 600;
  }
}

.alert {
  border-radius: 4px;
  border: 1px solid $coa-primary;
  background: $coa-light-sky-blue-100;
  color: $coa-primary;
  font-size: 14px;
  font-style: italic;
  font-weight: 400;
  line-height: 16px;

  :global {
    .ant-alert-message {
      display: block;
      margin-left: 0.75rem;
    }
  }
}

.icon {
  font-size: 3.5rem;
  color: $coa-primary;
}

.divider {
  margin-top: 0.5rem;
}
